Commit bc54c59a by Christian Bürckert

Change Version to 2.0.6

parent 92d0c52f
......@@ -398,7 +398,7 @@
<dependency>
<groupId>de.dfki.tecs</groupId>
<artifactId>libtecs</artifactId>
<version>2.0.5</version>
<version>2.0.6</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
......
......@@ -20,5 +20,5 @@ android {
dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
compile 'de.dfki.tecs:libtecs:2.0.5'
compile 'de.dfki.tecs:libtecs:2.0.6'
}
......@@ -17,7 +17,7 @@ set(LIBRARY_NAME tecs)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -std=c++11 -fPIC -Wall")
set(TECS_VERSION_MAJOR 2)
set(TECS_VERSION_MINOR 0)
set(TECS_VERSION_PATCH 5)
set(TECS_VERSION_PATCH 6)
set(TECS_VERSION_STRING ${TECS_VERSION_MAJOR}.${TECS_VERSION_MINOR}.${TECS_VERSION_PATCH})
# we specify here the name of the static library with the version.
# Thus we have two targets for static and dynamic. version info for the dynamic lib
......
......@@ -35,7 +35,7 @@ using System.Runtime.CompilerServices;
// The form "{Major}.{Minor}.*" will automatically update the build and revision,
// and "{Major}.{Minor}.{Build}.*" will update just the revision.
[assembly: AssemblyVersion("2.0.5")]
[assembly: AssemblyVersion("2.0.6")]
// The following attributes are used to specify the signing key for the assembly,
// if desired. See the Mono documentation for more information about signing.
......
......@@ -3,7 +3,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>de.dfki.tecs</groupId>
<artifactId>libtecs</artifactId>
<version>2.0.5</version>
<version>2.0.6</version>
<packaging>jar</packaging>
<name>Java libtecs</name>
......
......@@ -58,7 +58,7 @@ def run_setup():
setup(
name = 'libtecs',
version = '2.0.5',
version = '2.0.6',
description = 'Python library for TECS - Thrift Eventbased Communication Service',
author = 'Christian Buerckert',
author_email = 'christian.buerckert@dfki.de',
......
Gem::Specification.new do |s|
s.name = 'libtecs'
s.version = '2.0.5'
s.version = '2.0.6'
s.summary = "Library for TECS Communication in Ruby"
s.description = "See Homepage for a extensive description"
s.authors = ["Christian Bürckert", "Yannick Körber"]
......@@ -10,5 +10,5 @@ Gem::Specification.new do |s|
s.homepage = 'http://www.dfki.de/'
s.license = 'CC-BY-NC-4.0'
s.add_runtime_dependency "thrift" , ["~>0.9.3"]
s.add_runtime_dependency "thrift" , ["~>0.9.3.0"]
end
......@@ -2,7 +2,7 @@
cd ..
TECS_HOME=`pwd`
TARGET=`cat scripts/.deploy`
VERSION="2.0.5"
VERSION="2.0.6"
#Deploy Java
cd $TECS_HOME/libtecs/java
......
......@@ -81,9 +81,9 @@ echo "Successfully Installed tecs-server"
echo ""
#Installation of tecs-watchdog
echo "Installing tecs-watchdog"
sleep 1
cd $TECS/tecs-watchdog
./install-watchdog.sh || { echo "Could not install tecs-watchdog"; exit 1; }
echo "Successfully Installed tecs-watchdog"
echo ""
#echo "Installing tecs-watchdog"
#sleep 1
#cd $TECS/tecs-watchdog
#./install-watchdog.sh || { echo "Could not install tecs-watchdog"; exit 1; }
#echo "Successfully Installed tecs-watchdog"
#echo ""
......@@ -8,7 +8,7 @@ mkdir -v -p /opt/TECS/ || { echo "Could not create /opt/TECS/"; exit 1; }
cp -v target/tecs-server* /opt/TECS/ || { echo "Could not copy to /opt/TECS/"; exit 1; }
echo "#!/bin/bash" > /usr/bin/tecs-server || { echo "Could not create start script "; exit 1; }
echo "trap 'kill \$PID' SIGINT SIGTERM" >> /usr/bin/tecs-server
echo 'java -jar /opt/TECS/tecs-server-2.0.5.jar $@ &' >> /usr/bin/tecs-server
echo 'java -jar /opt/TECS/tecs-server-2.0.6.jar $@ &' >> /usr/bin/tecs-server
echo 'PID=$!' >> /usr/bin/tecs-server
echo 'wait $PID' >> /usr/bin/tecs-server
chmod +x /usr/bin/tecs-server && echo "Installed /usr/bin/tecs-server"
......
......@@ -3,7 +3,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>de.dfki.tecs</groupId>
<artifactId>server</artifactId>
<version>2.0.5</version>
<version>2.0.6</version>
<packaging>jar</packaging>
<name>TECS-Server</name>
......
......@@ -3,7 +3,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>de.dfki.tecs</groupId>
<artifactId>watchdog</artifactId>
<version>2.0.5</version>
<version>2.0.6</version>
<packaging>jar</packaging>
<name>TECS Watchdog</name>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment